svn commit: r462407 - svnadmin/hooks/scripts

Antoine Brodin antoine at FreeBSD.org
Tue Feb 20 16:14:33 UTC 2018


Author: antoine
Date: Tue Feb 20 16:14:32 2018
New Revision: 462407
URL: https://svnweb.freebsd.org/changeset/ports/462407

Log:
  Allow commits to ports that already have FLAVORS
  
  With hat:	portmgr

Modified:
  svnadmin/hooks/scripts/stage-only.sh

Modified: svnadmin/hooks/scripts/stage-only.sh
==============================================================================
--- svnadmin/hooks/scripts/stage-only.sh	Tue Feb 20 16:06:28 2018	(r462406)
+++ svnadmin/hooks/scripts/stage-only.sh	Tue Feb 20 16:14:32 2018	(r462407)
@@ -34,11 +34,6 @@ for line in $(svnlook changed -t $TXN $REPO) ; do
 			echo "NOPORTDATA is nonsense as a variable affecting all ports." 1>&2
 			exit 1
 		fi
-		if svnlook cat -t ${TXN} ${REPO} $fpath | grep -q "^FLAVORS" ; then
-			echo "Do not commit a port with FLAVORS without first" 1>&2
-			echo "getting approval from portmgr." 1>&2
-			exit 1
-		fi
 	;;
 	head/*/*/pkg-plist*)
 		if svnlook cat -t ${TXN} ${REPO} $fpath | grep -q "%%PORTDATA%%" ; then
@@ -56,3 +51,8 @@ for line in $(svnlook changed -t $TXN $REPO) ; do
 	;;
 	esac
 done
+if svnlook diff -t ${TXN} ${REPO} | grep -q "^+FLAVORS" ; then
+	echo "Do not commit a port with FLAVORS without first" 1>&2
+	echo "getting approval from portmgr." 1>&2
+	exit 1
+fi


More information about the svn-ports-svnadmin mailing list